/*==============================================================*/
/* Database name:  ¸ÅÄîÄ£ÐÍ                                         */
/* DBMS name:      ORACLE Version 8                             */
/* Created on:     2002-12-17 19:49:29                          */
/*==============================================================*/


drop index R1_FK
/


drop index R2_FK
/


drop index R3_FK
/


drop index R4_FK
/


drop index R5_FK
/


drop index R6_FK
/


drop table SYSPASCV cascade constraints
/


drop table SYSPABCP cascade constraints
/


drop table SYSPATRX cascade constraints
/


drop table SYSPATEL cascade constraints
/


drop table SYSSJNL1 cascade constraints
/


drop table SYSPAZON cascade constraints
/


drop table SYSPASCT cascade constraints
/


drop table SYSPALVL cascade constraints
/


drop table SYSCJNL1 cascade constraints
/


/*==============================================================*/
/* Table: SYSCJNL1                                              */
/*==============================================================*/


create table SYSCJNL1  (
   ITRXCODE             NUMBER(5,0),
   ITRXSQNO             CHAR(9),
   ITELLNO              CHAR(5),
   IZONENO              CHAR(5),
   IBRCHNO              CHAR(5),
   ISTATUS              CHAR(3),
   IRANK                CHAR(3),
   ISYSDATE             CHAR(10),
   OOVER                CHAR(3),
   OSTAT                CHAR(32),
   OTRXSQNO             CHAR(9),
   OLIBID               CHAR(32),
   OTGWID               CHAR(32),
   OSYSDATE             CHAR(10),
   OTRXHEAD             CHAR(8)
)
/


/*==============================================================*/
/* Table: SYSPALVL                                              */
/*==============================================================*/


create table SYSPALVL  (
   SLEVEL               NUMBER(1)                        not null,
   REMARKS              CHAR(64)                         not null,
   constraint PK_SYSPALVL primary key (SLEVEL)
)
/


/*==============================================================*/
/* Table: SYSPASCT                                              */
/*==============================================================*/


create table SYSPASCT  (
   WORKDATE             CHAR(10)                         not null,
   JOURNALI             NUMBER(1,0)                      not null,
   TRXSEQNO             NUMBER(9,0)                      not null,
   constraint PK_SYSPASCT primary key (WORKDATE)
)
/


/*==============================================================*/
/* Table: SYSPAZON                                              */
/*==============================================================*/


create table SYSPAZON  (
   ZONENO               NUMBER(5,0)                      not null,
   BRCHNO               NUMBER(5,0)                      not null,
   TYPE                 NUMBER(1,0)                      not null,
   STATUS               NUMBER(1,0)                      not null,
   REMARKS              CHAR(64),
   constraint PK_SYSPAZON primary key (ZONENO, BRCHNO)
)
/


/*==============================================================*/
/* Table: SYSSJNL1                                              */
/*==============================================================*/


create table SYSSJNL1  (
   TRXSEQNO             NUMBER(9,0)                      not null,
   TRXCODE              CHAR(5),
   TRXSTATUS            NUMBER(4),
   FIELD01              CHAR(64),
   FIELD02              CHAR(64),
   FIELD03              CHAR(64),
   FIELD04              CHAR(64),
   FIELD05              CHAR(64),
   FIELD06              CHAR(64),
   FIELD07              CHAR(64),
   FIELD08              CHAR(64),
   FIELD09              CHAR(64),
   FIELD10              CHAR(64),
   FIELD11              CHAR(64),
   FIELD12              CHAR(64),
   FIELD13              CHAR(64),
   FIELD14              CHAR(64),
   FIELD15              CHAR(64),
   FIELD16              CHAR(64),
   FIELD17              CHAR(64),
   FIELD18              CHAR(64),
   FIELD19              CHAR(64),
   FIELD20              CHAR(64),
   IZONENO              CHAR(5),
   IBRCHNO              CHAR(5),
   ITELLNO              CHAR(5),
   ISTATUS              CHAR(3),
   IRANK                CHAR(3),
   ISYSDATE             CHAR(10),
   OOVERID              NUMBER(4),
   OOVERSTATEMENT       CHAR(64),
   constraint PK_SYSSJNL1 primary key (TRXSEQNO)
)
/


/*==============================================================*/
/* Table: SYSPATEL                                              */
/*==============================================================*/


create table SYSPATEL  (
   TELLNO               NUMBER(5,0)                      not null
         constraint CKC_TELLNO_SYSPATEL check (TELLNO IS NOT NULL),
   ZONENO               NUMBER(5,0),
   BRCHNO               NUMBER(5,0),
   SLEVEL               NUMBER(1),
   NAME                 CHAR(32)                         not null,
   IDCODE               CHAR(18)                         not null,
   STATUS               NUMBER(1,0)                      not null,
   PSW                  NUMBER                           not null,
   SIGNDATE             CHAR(10)                         not null,
   EXPIREDATE           CHAR(10)                         not null,
   NOTE                 CHAR(64)                         not null,
   constraint PK_SYSPATEL primary key (TELLNO),
   constraint FK_SYSPATEL_R3_SYSPAZON foreign key (ZONENO, BRCHNO)
         references SYSPAZON (ZONENO, BRCHNO),
   constraint FK_SYSPATEL_R4_SYSPALVL foreign key (SLEVEL)
         references SYSPALVL (SLEVEL)
)
/


/*==============================================================*/
/* Index: R3_FK                                                 */
/*==============================================================*/
create  index R3_FK on SYSPATEL (
   ZONENO ASC,
   BRCHNO ASC
)
/


/*==============================================================*/
/* Index: R4_FK                                                 */
/*==============================================================*/
create  index R4_FK on SYSPATEL (
   SLEVEL ASC
)
/


/*==============================================================*/
/* Table: SYSPATRX                                              */
/*==============================================================*/


create table SYSPATRX  (
   CODE                 NUMBER(5,0)                      not null,
   SLEVEL               NUMBER(1),
   ZONENO               NUMBER(5,0),
   BRCHNO               NUMBER(5,0),
   SCRIPT               CHAR(32)                         not null,
   STATUS               NUMBER(1,0)                      not null,
   POSI                 CHAR(16)                         not null,
   GWID                 CHAR(16)                         not null,
   SRVC                 CHAR(8)                          not null,
   constraint PK_SYSPATRX primary key (CODE),
   constraint FK_SYSPATRX_R5_SYSPALVL foreign key (SLEVEL)
         references SYSPALVL (SLEVEL),
   constraint FK_SYSPATRX_R6_SYSPAZON foreign key (ZONENO, BRCHNO)
         references SYSPAZON (ZONENO, BRCHNO)
)
/


/*==============================================================*/
/* Index: R5_FK                                                 */
/*==============================================================*/
create  index R5_FK on SYSPATRX (
   SLEVEL ASC
)
/


/*==============================================================*/
/* Index: R6_FK                                                 */
/*==============================================================*/
create  index R6_FK on SYSPATRX (
   ZONENO ASC,
   BRCHNO ASC
)
/


/*==============================================================*/
/* Table: SYSPABCP                                              */
/*==============================================================*/


create table SYSPABCP  (
   ZONENO               NUMBER(5,0),
   BRCHNO               NUMBER(5,0),
   BNAME                CHAR(32)                         not null,
   SNAME                CHAR(16)                         not null,
   KINK                 NUMBER(1,0)                      not null,
   STATUS               NUMBER(1,0)                      not null,
   ADDR                 CHAR(64)                         not null,
   TELE                 CHAR(32)                         not null,
   FAX                  CHAR(32)                         not null,
   CEO                  CHAR(8)                          not null,
   IDCODE               CHAR(18)                         not null,
   MTELE                CHAR(16)                         not null,
   NOTE                 CHAR(64)                         not null,
   constraint FK_SYSPABCP_R1_SYSPAZON foreign key (ZONENO, BRCHNO)
         references SYSPAZON (ZONENO, BRCHNO)
)
/


/*==============================================================*/
/* Index: R1_FK                                                 */
/*==============================================================*/
create  index R1_FK on SYSPABCP (
   ZONENO ASC,
   BRCHNO ASC
)
/


/*==============================================================*/
/* Table: SYSPASCV                                              */
/*==============================================================*/


create table SYSPASCV  (
   ZONENO               NUMBER(5,0),
   BRCHNO               NUMBER(5,0),
   APPCODE              NUMBER(2,0)                      not null,
   APPNAME              CHAR(32)                         not null,
   APPSQNO              NUMBER(7,0)                      not null,
   constraint FK_SYSPASCV_R2_SYSPAZON foreign key (ZONENO, BRCHNO)
         references SYSPAZON (ZONENO, BRCHNO)
)
/


/*==============================================================*/
/* Index: R2_FK                                                 */
/*==============================================================*/
create  index R2_FK on SYSPASCV (
   ZONENO ASC,
   BRCHNO ASC
)
/


